View Issue Details

IDProjectCategoryView StatusLast Update
16790Bug reportsSurvey participants (Tokens)public2020-11-05 01:10
Reportergabrieljenik Assigned Toadamzammit  
PrioritynoneSeverityminor 
Status resolvedResolutionfixed 
Product Version4.3.23 
Fixed in Version4.3.24 
Summary16790: Survey participant / Token editor doesn't correctly reflect reminder status when survey in anonymous mode
Description

When the survey is in "anonymous" mode, and you manually edit a token/survey participant, and reminder is not set in the token data, it appears as "Yes" in the token editor.

Steps To Reproduce

Original ticket was for LTS. This is for master

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.3.23
I will donate to the project if issue is resolvedNo
Sync to Zoho Project
Browser
Database & DB-VersionMaria Db 10
Server OS (if known)
Webserver software & version (if known)
PHP Version7.4.8

Relationships

related to 16787 closedadamzammit Survey participant / Token editor doesn't correctly reflect reminder status when survey in anonymous mode 

Activities

gabrieljenik

gabrieljenik

2020-11-03 16:09

developer   ~60514

Non reproducible on master

adamzammit

adamzammit

2020-11-04 05:16

developer   ~60524

Not sure when you tested this but this commit should have fixed it: https://github.com/LimeSurvey/LimeSurvey/commit/9a93d617b696b183de30fcee61f77c00e26a6fb3

don't know why it didn't auto update the bug

gabrieljenik

gabrieljenik

2020-11-04 15:05

developer   ~60536

Original ticket was for LTS (16787). This is for master, where is not reproducible.

Issue History

Date Modified Username Field Change
2020-10-26 13:54 gabrieljenik New Issue
2020-10-26 13:54 gabrieljenik Status new => assigned
2020-10-26 13:54 gabrieljenik Assigned To => adamzammit
2020-10-26 13:54 gabrieljenik Issue generated from: 16787
2020-10-26 13:54 gabrieljenik Relationship added related to 16787
2020-11-03 16:09 gabrieljenik Note Added: 60514
2020-11-04 05:16 adamzammit Note Added: 60524
2020-11-04 15:05 gabrieljenik Note Added: 60536
2020-11-05 01:10 adamzammit Status assigned => resolved
2020-11-05 01:10 adamzammit Resolution open => fixed
2020-11-05 01:10 adamzammit Fixed in Version => 4.3.24